/// [feComponentTransfer](https://www.w3.org/TR/SVG11/filters.html#feComponentTransferElement)
#[derive(Debug)]
pub struct ComponentTransfer {
    func_r: TransferFunction,
    func_g: TransferFunction,
    func_b: TransferFunction,
    func_a: TransferFunction,
}

/// [transfer functions](https://www.w3.org/TR/SVG11/filters.html#transferFuncElements)
#[derive(Debug)]
enum TransferFunction {
    Identity,
    Table {
        table_values: Vec<f32>,
    },
    Discrete {
        table_values: Vec<f32>,
    },
    Linear {
        slope: f32,
        intercept: f32,
    },
    Gamma {
        amplitude: f32,
        exponent: f32,
        offset: f32,
    },
}
